%define origver 5211

Name: praat
Version: 5.2.11
Release: alt1

Summary: A program for speech analysis and synthesis
License: GPL (and others for libraries used)
Group: Sound

Url: http://www.praat.org
Source: http://www.fon.hum.uva.nl/praat/praat%{origver}_sources.tar.gz
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Fri Jan 21 2011
BuildRequires: libalsa-devel libgtk+2-devel libopenmotif-devel

Requires: fonts-bitmap-75dpi

%description
According to its authors, praat is "doing phonetics by computer".
Through its graphical interface, several speech analysis functionalities
are available: spectrograms, cochleograms, and pitch and formant
extraction.  Articulatory synthesis, as well as synthesis from pitch,
formant, and intensity are also available.  Other features are
segmentation, labelling using the phonetic alphabet, and computation
of statistics.  Praat is configurable and extensible through its own
scripting language and has provisions for communicating with other
programs.

* Make sure you have read the Intro from Praat's Help menu.
* If that does not help, use the Search button in Praat's manual window.
* Or consult the Frequently Asked Questions on the website.

Recommends: fonts-bitmap-100dpi fonts-bitmap-75dpi

%prep
%setup -n sources_%origver

%build
cp -a makefiles/makefile.defs.linux.dynamic makefile.defs
echo "CC += `pkg-config --cflags gtk+-2.0`" >> makefile.defs
echo "LIBS += `pkg-config --libs gtk+-2.0`" >> makefile.defs
%make_build

%install
install -pDm755 %name %buildroot%_bindir/%name

%files
%_bindir/*

# TODO:
# - FLAC/ and audio/ are patched
# - GSL/ *seems* just bundled?
# - watch file:
# version=3
#opts="uversionmangle=s/\.0?(\d+)/\.$1/g" \
#  http://www.fon.hum.uva.nl/praat/download_sources.html praat(\d)(\d)(\d+)_sources.tar.gz debian

%changelog
* Fri Jan 21 2011 Michael Shigorin <mike@altlinux.org> 5.2.11-alt1
- 5.2.11 (thanks force@)
- buildreq

* Wed Dec 08 2010 Michael Shigorin <mike@altlinux.org> 5.2.05-alt1
- 5.2.05

* Wed Dec 08 2010 Michael Shigorin <mike@altlinux.org> 5.1.25-alt2
- fixated font dependency as it's in need indeed
  (thanks Renata Pojidaeva)

* Sun Feb 21 2010 Michael Shigorin <mike@altlinux.org> 5.1.25-alt1
- 5.1.25
  + Many problems can be solved by upgrading to version 5.1.25 of Praat.

* Sun Sep 20 2009 Michael Shigorin <mike@altlinux.org> 5.1.16-alt1
- built for ALT Linux (closes: #19876)
